Enable Kubernetes Cluster Protection

Enable Kubernetes Cluster Protection

API code: ENABLE_KUBERNETES_CLUSTER_PROTECTION
Pre-authorized role(s): TENANT_USER | TENANT_ADMIN
Platform(s): AMAZON | CLOUDIAN

Request
URI
POST
https://{api_host}//api/v1/k8s/clusters/{clusterId}/protection
COPY
Path Parameters
string
clusterId
Required

The ID of the protected Kubernetes cluster.


Request Body
ClusterProtection of type(s) application/json
Required
{
    "appName": "string",
    "appId": "string",
    "status": "string",
    "creationDate": "string",
    "backupStorageLocation": {
        "name": "string",
        "bucket": "string",
        "region": "string",
        "caCert": "string",
        "sseS3": false
    },
    "volumeSnapshotLocation": {
        "name": "string",
        "provider": "string"
    },
    "accessKey": "string",
    "schedule": {
        "metadata": {
            "name": "string",
            "namespace": "string",
            "resourceVersion": "string"
        },
        "spec": {
            "template": {
                "includedNamespaces": [
                    "string"
                ],
                "excludedNamespaces": [
                    "string"
                ],
                "includedResources": [
                    "string"
                ],
                "excludedResources": [
                    "string"
                ],
                "includeClusterResources": "string",
                "orderedResources": "string",
                "snapshotVolumes": false,
                "ttl": "string",
                "storageLocation": "string",
                "volumeSnapshotLocations": [
                    "string"
                ]
            },
            "schedule": "string"
        },
        "status": {
            "phase": "string",
            "lastBackup": "string",
            "validationErrors": [
                "string"
            ]
        }
    },
    "supportSnapshotVolume": false
}
string
appName
Optional

appName

string
appId
Optional

appId

string
status
Optional

status

Possible values are : UNPROTECTED, ENABLING, PROTECTING, PAUSE, DISABLING,
string As date-time As date-time
creationDate
Optional

creationDate

backupStorageLocation
Optional

backupStorageLocation

volumeSnapshotLocation
Optional

volumeSnapshotLocation

string
accessKey
Optional

accessKey

schedule
Optional

schedule

boolean
supportSnapshotVolume
Optional

supportSnapshotVolume

Authentication
This operation uses the following authentication methods.
Responses
202

Accepted

Returns ClusterProtection of type(s) application/json
{
    "appName": "string",
    "appId": "string",
    "status": "string",
    "creationDate": "string",
    "backupStorageLocation": {
        "name": "string",
        "bucket": "string",
        "region": "string",
        "caCert": "string",
        "sseS3": false
    },
    "volumeSnapshotLocation": {
        "name": "string",
        "provider": "string"
    },
    "accessKey": "string",
    "schedule": {
        "metadata": {
            "name": "string",
            "namespace": "string",
            "resourceVersion": "string"
        },
        "spec": {
            "template": {
                "includedNamespaces": [
                    "string"
                ],
                "excludedNamespaces": [
                    "string"
                ],
                "includedResources": [
                    "string"
                ],
                "excludedResources": [
                    "string"
                ],
                "includeClusterResources": "string",
                "orderedResources": "string",
                "snapshotVolumes": false,
                "ttl": "string",
                "storageLocation": "string",
                "volumeSnapshotLocations": [
                    "string"
                ]
            },
            "schedule": "string"
        },
        "status": {
            "phase": "string",
            "lastBackup": "string",
            "validationErrors": [
                "string"
            ]
        }
    },
    "supportSnapshotVolume": false
}
string
appName
Optional

appName

string
appId
Optional

appId

string
status
Optional

status

Possible values are : UNPROTECTED, ENABLING, PROTECTING, PAUSE, DISABLING,
string As date-time As date-time
creationDate
Optional

creationDate

backupStorageLocation
Optional

backupStorageLocation

volumeSnapshotLocation
Optional

volumeSnapshotLocation

string
accessKey
Optional

accessKey

schedule
Optional

schedule

boolean
supportSnapshotVolume
Optional

supportSnapshotVolume